/*
 * CanDevices.java
 *
 * Created on 17 August 2007, 13:44
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ticomViewer;

/**
 *
 * @author karol
 */
public class CanDevices extends Node
{
    private int effectiveState;
    CanDevices()
    {
        effectiveState = NodeState.BOOT_UP;
        setName("Devices");
    }
    
    @Override
    public void showControlPanel()
    {
        TicomView.TicomViewer.showDevicesControlPanel(this); 
    }
    
    int getEffectiveState() { return effectiveState; }
    void setEffectiveState(int nPre, int nOp, int nStopped, int nNoHeartBeat )
    {
        if( nNoHeartBeat > 0 ) 
        {
            effectiveState = NodeState.TIMEOUT;
            return;
        }
        if( nStopped > 0 ) 
        {
            effectiveState = NodeState.STOPPED;
            return;
        }
        if( nPre > 0 ) 
        {
            effectiveState = NodeState.PREOPERATIONAL;
            return;
        }
        effectiveState = NodeState.OPERATIONAL;        
    }
}