/*
 * SyncProducer.java
 *
 * Created on 17 August 2007, 13:42
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ticomViewer;

import de.desy.tine.client.TLink;

/**
 *
 * @author karol
 */
public class SyncProducer extends Node
{
    private boolean on;
    private int period;
    
    public SyncProducer()
    {
        setOn(false);
        setPeriod(1000);
        setName("SYNC producer");
    }
    public void setOn( boolean on)
    { this.on = on; }
    public boolean getOn()
    { return on; }
    public void setPeriod( int period )
    {this.period = period; }
    public int getPeriod()
    { return period; }
    
    @Override
    public void showControlPanel()
    {
        TicomView.TicomViewer.showSyncControlPanel(this);
    }
    
    @Override
    public void callback(TLink lnk)
    {
        int error;
        int[] data = new int[2];
        if (lnk.getLinkStatus() != 0)
        {
            System.out.println("Link Error (SyncProducer): " + lnk.getLastError());
            TicomView.TicomViewer. JLabel_Status1.setText( lnk.getLastError() );
            return;
        }
        
        if( (error = lnk.getOutputDataObject().getData(data)) == 0 )
        {
            setOn( data[0] > 0 );
            fireNodeChanged( new NodeChangedEvent());
            TicomView.TicomViewer.JLabel_syncOnOff.setText(data[0] == 0 ? "NO" : "YES");
            TicomView.TicomViewer.JLabel_syncPeriod.setText( Integer.toString(data[1]));
            TicomView.TicomViewer. JLabel_Status1.setText( lnk.getLastError() );
        }
        else System .out.println( "Error reading Sync State:" + error );
    }
}