/*
 * CanNodeIdInfo.java
 *
 * Created on 17 August 2007, 13:52
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ticomViewer;

import de.desy.tine.structUtils.TTaggedStructure;

/**
 *
 * @author karol
 */
public class CanNodeIdInfo extends TTaggedStructure
{
    public int[] nodeId = new int[1];
    public int[] deviceType = new int[1];
    public int[] vendorId = new int[1];
    public int[] productCode = new int[1];
    public int[] revisionNumber = new int[1];
    public int[] serialNumber = new int[1];
    public FixedString manufactureDeviceName = new FixedString(33);
    public FixedString hardwareVersion = new FixedString(33);   
    public FixedString softwareVersion = new FixedString(33);
   
    
    CanNodeIdInfo()
    {
        super("NODEIDINFO");
        addField(nodeId, "nodeId");
        addField(deviceType,"deviceType");
        addField(vendorId,"vendorId");
        addField(productCode, "productCode");
        addField(revisionNumber,"revisionNumber");
        addField(serialNumber,"serialNumber");
        addField(manufactureDeviceName.getBytes(),"manufactureDeviceName");        
        addField(hardwareVersion.getBytes(),"hardwareVersion");       
        addField(softwareVersion.getBytes(),"softwareVersion");        
        initDone();
    }
}