/*
 * NodeState.java
 *
 * Created on 17 August 2007, 13:50
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ticomViewer;

/**
 *
 * @author karol
 */
public class NodeState
{
    public final static int BOOT_UP = 0;
    public final static int PREOPERATIONAL = 127;
    public final static int OPERATIONAL = 5;
    public final static int STOPPED = 4;
    public final static int TIMEOUT = 0x8000;
    
    private int state;
    public void set(int state)
    { this.state = state; }
    public int get()
    { return state; }
    public NodeState()
    { set(BOOT_UP); }
    public NodeState(int state)
    { set(state); }
    @Override
    public String toString()
    {
        String s = new String();
        
        switch( state & ~(TIMEOUT) )
        {
            case PREOPERATIONAL: s+= "preoperational";
            break;
            case OPERATIONAL: s+= "operational";
            break;
            case STOPPED: s+= "stopped";
            break;
            case BOOT_UP: s+= "boot-up";
            break;
        }
        if( (state & TIMEOUT) !=0 ) s += ", timeout";
        
        return s;
    }
}