/*
 * PdoMappedVariable.java
 *
 * Created on 17 August 2007, 13:54
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package ticomViewer;

import de.desy.tine.structUtils.TTaggedStructure;

/**
 *
 * @author karol
 */
public class PdoMappedVariable extends TTaggedStructure
{
    public short[] index = new short[1];
    public short[] subindex = new short[1];
    public byte[]  dataValue = new byte[8];    // WARNING:  should be "long", but addField does not support the long type. // any numeric value fits here  (64 bits of PDO)
    public byte[]  updateTime = new byte[8];
    public short[] dataSize = new short[1];
    public short[] dataFormat = new short[1];
    public short[] npdos = new short[1];      // how many PDOs map this variable
    public short[] pdos = new short[16];       // which PDOs map this variable
    public FixedString variableName = new FixedString(64);
        
    PdoMappedVariable()
    {
        super("MAPPEDVAR");      
        addField(index,"index");
        addField(subindex,"subindex");
        addField(dataValue,"dataValue");
        addField(updateTime,"updateTime");
        addField(dataSize,"dataSize");
        addField(dataFormat,"dataFormat");        
        addField(npdos,"npdos");
        addField(pdos,"pdos");
        addField(variableName.getBytes(),"variableName");
        initDone();
    }
}
